﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using Telerik.Windows.Controls.Calendar;

namespace RadCalendarDifferentTooltips
{
	class CalendarButtonStyleSelector : StyleSelector
	{
		public override Style SelectStyle(object item, DependencyObject container)
		{
			Control c = container as Control;
			if (c != null)
			{
				CalendarButtonContent cbc = (item as CalendarButtonContent);
				if (cbc.ButtonType == CalendarButtonType.Date)
				{
					c.ToolTip = new ToolTip() { Content = cbc.Date.DayOfWeek };
				}
				// You kind of just switch something on the container instead of applying style here... but it will be ok I suppose
			}
			return base.SelectStyle(item, container);
		}
	}
}
